## jline
Interface Completor

All Known Implementing Classes:
  ArgumentCompletor, FileNameCompletor, MultiCompletor, NullCompletor, SimpleCompletor

public interface Completor

A Completor is the mechanism by which tab-completion candidates will be resolved.

TODO:

- handle quotes and escaped quotes
- enable automatic escaping of whitespace

Author:
  Marc Prud'hommeaux

Method Summary
`int` `complete(String buffer, int cursor, List candidates)` Populates candidates with a list of possible completions for the buffer.

Method Detail

### complete

    public int complete(String buffer,
                        int cursor,
                        List candidates)

  Populates candidates with a list of possible completions for the buffer. The candidates list will not be sorted before being displayed to the user: thus, the complete method should sort the `List` before returning.

  Parameters:
    `buffer` - the buffer
    `candidates` - the `List` of candidates to populate
  Returns:
    the index of the buffer for which the completion will be relative

Released under the terms of the BSD license